<?php
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
  
   $id_cd=$sesion->id;
   	$cuentas=$_POST["cuenta"];
   	$fecha=$_POST["fecha_i"];
   
 //extract($_POST);
   
   echo"$cuenta<center><font size=\"5\"><b>Regalias marcadas como cuenta mal</b><br><br></font>
   
   
   
   <table border=\"1\" align=\"center\"><th>ID Reg</th><th>Id Banco</th><th>Cuenta</th><th>Observaciones</th>";
 /* 	for ($k=0; $k<$cuenta; $k++)
		 {
		   	
		   	echo"<tr> <td>$idr$k</td></td><td>$apagar$k</td>
			<td>$impuestos$k</td><td>$pagado$k</td><td></td>
             <td></td><td></td><td>$folio$k</td>
             </td></tr>
		   			
	   				";
		   		
		   	}*/

for ($k=0; $k<$cuentas; $k++)
		   	{
		   	$A1=$_POST["idr$k"];
	   			$A2=$_POST["apagar$k"];
	   				$A3=$_POST["impuestos$k"];
					$A4=$_POST["pagado$k"];
					$A5=$_POST["folio$k"];
					$A6=$_POST["banco$k"];
					$A7=$_POST["cuenta$k"];
					
		   	echo"<tr> <td>$A1</td><td>$A6</td><td>$A7</td><td>$A5</td></tr>
		   			
	   				";
		  
	$qPP = "update regs2 set status='11', observaciones='$A5' where idreg=$A1";
	$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());

		   	}

echo"</table><br> Las regalias se han modificado en sistema exitosmente";

 
?>